Bug 1468624 - [RFE] criu needs to be built for alternate architectures (aarch64, s390x)
[RFE] criu needs to be built for alternate architectures (aarch64, s390x)
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: criu (Show other bugs)
7.4
x86_64 Linux
high Severity high
: rc
: 7.5
Assigned To: Adrian Reber
Chao Ye
: FutureFeature
Depends On: 1456513 1464596
Blocks: 1399177 1445922 1469549 1472889 1482234
  Show dependency treegraph
 
Reported: 2017-07-07 10:56 EDT by Alex Jia
Modified: 2018-01-11 04:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 158539 None None None 2017-09-11 08:01 EDT

  None (edit)
Description Alex Jia 2017-07-07 10:56:11 EDT
Description of problem:
atomic supports aarch64 and s390x architectures, and it depends on criu package, however, we haven't criu build for alternate architectures (aarch64, s390x).

Version-Release number of selected component (if applicable):

[root@ibm-z-13 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.4 (Maipo)

How reproducible:
always

Steps to Reproduce:
1. yum install atomic in aarch64 and s390x architectures


Actual results:
[root@ibm-z-13 ~]# yum install atomic
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package atomic.s390x 1:1.18.1-3.1.git0705b1b.el7 will be installed
--> Processing Dependency: skopeo-containers >= 1:0.1.17-1 for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: skopeo >= 1:0.1.17-1 for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: python-websocket-client >= 0.11.0 for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: python-six >= 1.3.0 for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: python-docker-py >= 1.7.2-1 for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: runc for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: python-requests for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: python-ipaddress for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: ostree for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: gomtree for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: container-storage-setup for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Processing Dependency: PyYAML for package: 1:atomic-1.18.1-3.1.git0705b1b.el7.s390x
--> Running transaction check
---> Package PyYAML.s390x 0:3.10-11.el7 will be installed
--> Processing Dependency: libyaml-0.so.2()(64bit) for package: PyYAML-3.10-11.el7.s390x
---> Package container-storage-setup.noarch 0:0.3.0-3.git927974f.el7 will be installed
---> Package gomtree.s390x 0:0.3.1-2.1.el7 will be installed
---> Package ostree.s390x 0:2017.7-1.el7 will be installed
--> Processing Dependency: libarchive.so.13()(64bit) for package: ostree-2017.7-1.el7.s390x
---> Package python-docker-py.noarch 0:1.10.6-1.el7 will be installed
--> Processing Dependency: python-docker-pycreds for package: python-docker-py-1.10.6-1.el7.noarch
---> Package python-ipaddress.noarch 0:1.0.16-2.el7 will be installed
---> Package python-requests.noarch 0:2.6.0-1.el7_1 will be installed
--> Processing Dependency: python-urllib3 >= 1.10.2-1 for package: python-requests-2.6.0-1.el7_1.noarch
---> Package python-six.noarch 0:1.9.0-2.el7 will be installed
---> Package python-websocket-client.noarch 0:0.32.0-116.el7 will be installed
---> Package runc.s390x 0:1.0.0-11.1.gitf8ce01d.el7 will be installed
--> Processing Dependency: criu for package: runc-1.0.0-11.1.gitf8ce01d.el7.s390x
---> Package skopeo.s390x 1:0.1.20-2.1.gite802625.el7 will be installed
---> Package skopeo-containers.s390x 1:0.1.20-2.1.gite802625.el7 will be installed
--> Running transaction check
---> Package libarchive.s390x 0:3.1.2-10.el7_2 will be installed
---> Package libyaml.s390x 0:0.1.4-11.el7_0 will be installed
---> Package python-docker-pycreds.noarch 0:1.10.6-1.el7 will be installed
---> Package python-urllib3.noarch 0:1.10.2-3.el7 will be installed
---> Package runc.s390x 0:1.0.0-11.1.gitf8ce01d.el7 will be installed
--> Processing Dependency: criu for package: runc-1.0.0-11.1.gitf8ce01d.el7.s390x
--> Finished Dependency Resolution
Error: Package: runc-1.0.0-11.1.gitf8ce01d.el7.s390x (extras-rhel-7.4-s390x-build)
           Requires: criu



Expected results:


Additional info:
Comment 2 Adrian Reber 2017-07-07 11:26:48 EDT
There are already requests to add criu to aarch64 and s390x:

s390x:

https://bugzilla.redhat.com/show_bug.cgi?id=1456513
https://bugzilla.redhat.com/show_bug.cgi?id=1457968
https://bugzilla.redhat.com/show_bug.cgi?id=1466682

aarch64:
https://bugzilla.redhat.com/show_bug.cgi?id=1464596
https://bugzilla.redhat.com/show_bug.cgi?id=1464595

But that is planned for RHEL 7.5. If this is too long for you, maybe removing the criu runc dependency on s390x and aarch64 might be a temporary fix.

This could actually be closed as a duplicate of those bugs above. Probably depends on your point of view. Or maybe re-assign to runc for a quicker resolution. Not sure in which channel runc updates are released.

Note You need to log in before you can comment on or make changes to this bug.